wxWidgets: wxToolTip Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
wxToolTip Class Reference
Class List by Category » Help

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/tooltip.h>`

Inheritance diagram for wxToolTip:
[legend]

## Detailed Description

This class holds information about a tooltip associated with a window (see wxWindow::SetToolTip()).

The four static methods, wxToolTip::Enable(), wxToolTip::SetDelay() wxToolTip::SetAutoPop() and wxToolTip::SetReshow() can be used to globally alter tooltips behaviour.

##

Library: wxCore
Category: Help

## Public Member Functions
| wxToolTip (const wxString &tip)
| Constructor.
wxString | GetTip () const
| Get the tooltip text.
wxWindow * | GetWindow () const
| Get the associated window.
void | SetTip (const wxString &tip)
| Set the tooltip text.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Static Public Member Functions
static void | Enable (bool flag)
| Enable or disable tooltips globally.
static void | SetAutoPop (long msecs)
| Set the delay after which the tooltip disappears or how long a tooltip remains visible.
static void | SetDelay (long msecs)
| Set the delay after which the tooltip appears.
static void | SetMaxWidth (int width)
| Set tooltip maximal width in pixels.
static void | SetReshow (long msecs)
| Set the delay between subsequent tooltips to appear.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxToolTip()

wxToolTip::wxToolTip | ( | const wxString & | tip | ) |

Constructor.

## Member Function Documentation

## ◆ Enable()

void wxToolTip::Enable | ( | bool | flag | ) |
| static

Enable or disable tooltips globally.

Note
  May not be supported on all platforms (eg. wxCocoa).

## ◆ GetTip()

wxString wxToolTip::GetTip | ( |  | ) | const

Get the tooltip text.

## ◆ GetWindow()

wxWindow * wxToolTip::GetWindow | ( |  | ) | const

Get the associated window.

## ◆ SetAutoPop()

void wxToolTip::SetAutoPop | ( | long | msecs | ) |
| static

Set the delay after which the tooltip disappears or how long a tooltip remains visible.

Note
  May not be supported on all platforms (eg. wxCocoa, GTK).

## ◆ SetDelay()

void wxToolTip::SetDelay | ( | long | msecs | ) |
| static

Set the delay after which the tooltip appears.

Note
  May not be supported on all platforms.

## ◆ SetMaxWidth()

void wxToolTip::SetMaxWidth | ( | int | width | ) |
| static

Set tooltip maximal width in pixels.

By default, tooltips are wrapped at a suitably chosen width. You can pass -1 as width to disable wrapping them completely, 0 to restore the default behaviour or an arbitrary positive value to wrap them at the given width.

Notice that this function does not change the width of the tooltips created before calling it.

Note
  Currently this function is wxMSW-only.

## ◆ SetReshow()

void wxToolTip::SetReshow | ( | long | msecs | ) |
| static

Set the delay between subsequent tooltips to appear.

Note
  May not be supported on all platforms (eg. wxCocoa, GTK).

## ◆ SetTip()

void wxToolTip::SetTip | ( | const wxString & | tip | ) |

Set the tooltip text.